<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<title>zh-tw/FAQ/CentOS7</title>
<link rel="stylesheet" type="text/css" media="all" charset="utf-8" href="modern/css/common.css">
<link rel="stylesheet" type="text/css" media="screen" charset="utf-8" href="modern/css/screen.css">
<link rel="stylesheet" type="text/css" media="print" charset="utf-8" href="modern/css/print.css">
<style type="text/css">
ul.pagetitle{
  display: inline;
  margin: 0;
  padding: 0;
  font-size: 1.5em;
}
li.pagetitle{
  display: inline;
  margin: 0;
}
td.noborder {
  border: 0;
}
</style>
</head>
<body>
<table>
<tr>
<td class="noborder">
<img src="logo.png">
</td>
<td class="noborder">
<ul class="pagetitle">
<li class="pagetitle"><a class="backlink">zh-tw/FAQ/CentOS7</a>
</ul>
<br><br>
[<a href="FrontPage.html">FrontPage</a>]&nbsp;[<a href="TitleIndex.html">TitleIndex</a>]&nbsp;[<a href="WordIndex.html">WordIndex</a>]&nbsp;
</td>
</tr>
</table>
<hr>
<div id="page"><h1 style="background-color:Red; color:White">This is a read-only <a href="https://gitlab.com/CentOS/docs/wiki_archives">archived version</a> of wiki.centos.org</h1>
<div dir="ltr" id="content" lang="zh-tw"><span class="anchor" id="top"></span>
<span class="anchor" id="line-1"></span><span class="anchor" id="line-2"></span><span class="anchor" id="line-3"></span><span class="anchor" id="line-4"></span><p class="line867">
<h1 id="A.2BZwmV3A_CentOS-7_.2BdoRVT5hM-">有關 CentOS-7 的問題</h1>
<span class="anchor" id="line-5"></span><p class="line867"><div class="table-of-contents"><p class="table-of-contents-heading">Contents<ol><li>
<a href="#A.2BYhGQTl.2BAUil1KA_boot.iso_.2BZiBQz5AyiEx9sn1hW4mI3TACW4NTu06GVOqI4f8f-">我過往利用 boot.iso 映像進行網絡安裝。它去了哪裡？</a></li><li>
<a href="#A.2BcLpPVWIRdoROWVkqfbJ9YU4NgP2QS09c.2FwyWZJdeYhF2e1FlTiZSO2EPVV91KFuD.2Fx8-">為何我的乙太網絡不能運作，除非我登入並刻意啟用它？</a></li><li>
<a href="#A.2BiYFmL2IRYPOQhFOfgfOCCnaEVH1UDVRi.2Fx8-">要是我想還原至舊的命名呢？</a></li><li>
<a href="#A.2BT0ZiEVPqYPNO5FuDkEtPXFPKYktS1V8PfeiPL4otW5pqlDAC-">但我只想令它運作及手動式編輯設定檔。</a></li><li>
<a href="#A.2BYhFZgk9VUFx1KA_IPv6.2B.2Fx8-">我如何停用 IPv6？</a></li><li>
<a href="#A.2BYhFT707lX55U6ojhTguPCQ_32_.2BT01RQ3JIZyz.2FHw-">我可以從哪裡下載 32 位元版本？</a></li><li>
<a href="#A.2BT2BcDQ_ifconfig.2B.2Fw8-netstat_.2BUFpOhnUaYkuBc.2F8f-">你對 ifconfig／netstat 做了甚手腳？</a></li></ol></li></ol></div> <span class="anchor" id="line-6"></span><span class="anchor" id="line-7"></span><p class="line867">
<h2 id="A.2BYhGQTl.2BAUil1KA_boot.iso_.2BZiBQz5AyiEx9sn1hW4mI3TACW4NTu06GVOqI4f8f-">1. 我過往利用 boot.iso 映像進行網絡安裝。它去了哪裡？</h2>
<span class="anchor" id="line-8"></span><span class="anchor" id="line-9"></span><p class="line874">由 EL6 起，上游決定把 boot.iso 移出 images/ 這個目錄並利用另一個獨立的媒體來發行它。基於該映像頗大，我們亦決定同樣做。網絡安裝磁碟的映像名為 netinstall.iso，它只收藏在 isos/ 這個目錄，當中還有其它的安裝映像。 <span class="anchor" id="line-10"></span><span class="anchor" id="line-11"></span><p class="line867">
<h2 id="A.2BcLpPVWIRdoROWVkqfbJ9YU4NgP2QS09c.2FwyWZJdeYhF2e1FlTiZSO2EPVV91KFuD.2Fx8-">2. 為何我的乙太網絡不能運作，除非我登入並刻意啟用它？</h2>
<span class="anchor" id="line-12"></span><span class="anchor" id="line-13"></span><p class="line874">……還有，為甚麼介面名稱完全「逆轉」以往慣例？這樣做違反了 Unix「不更改預期結果」的原則。 <span class="anchor" id="line-14"></span><span class="anchor" id="line-15"></span><p class="line862">上游的預設組態已改用 NetworkManager，而且介面預設是不會被啟用的（針對乙太網來說是較難理解）。權宜之計就是在安裝過程中，等待安裝程式出現詢問語系／鍵盤／儲存裝置／軟件安裝的主頁，然後啟用你的網絡卡。這個晝面內有一粒「網絡及主機名稱」的按鈕。點擊這個按鈕，選取你要編輯的乙太網絡連線，然後點擊右上角的「停用」按鈕。假如你選用 DHCP，你便會看見該連線取得一個網絡位址。如果你需要以手動方式更改網絡設定，請按「設定」按鈕，輸入所需數值並儲存他們。你大概要停用然後再啟用剛設定的網絡卡才能套用這些改動。現在按「完成」便大功告成。你也可以在安裝完成後透過 NetworkManager（「系統；選項；網絡連線」或右按通知區域內的網絡小圖示，選取「編輯連線……」）來作出這些改動。 <span class="anchor" id="line-16"></span><span class="anchor" id="line-17"></span><p class="line862">假如你不採用 NetworkManager，你可以透過編輯網絡介面的設置檔（正常為 <tt>/etc/sysconfig/network-scripts/ifcfg-eth0</tt>）並把 <tt>ONBOOT=no</tt> 改為 <tt>ONBOOT=yes</tt> 來達到相同効果。某些採用 DHCP 的安裝還需要額外一行：<tt>BOOTPROTO=dhcp</tt>；固定 IP 的安裝當然需要：<tt>BOOTPROTO=static</tt> <span class="anchor" id="line-18"></span><span class="anchor" id="line-19"></span><p class="line862">假設介面是 <tt>eth0</tt>，你可以（透過 root 的身份）這樣編輯 <tt>ONBOOT</tt>： <span class="anchor" id="line-20"></span>{{{ # cd /etc/sysconfig/network-scripts/ <span class="anchor" id="line-21"></span># sed -i -e 's@^ONBOOT="no@ONBOOT="yes@' ifcfg-eth0 <span class="anchor" id="line-22"></span>}}} <span class="anchor" id="line-23"></span><span class="anchor" id="line-24"></span><p class="line862">關於「更改預期結果」：上述例子採用「傳統」的網絡裝置，<strong>eth0</strong>。其它裝置名稱亦有可能出現，例如：<strong>em1</strong>、<strong>p3p1</strong> 等。不論你喜歡與否，這個為介面命名的改動是 Linux 的未來趨勢。它已包含在上游的「測試發行版本」作為<a class="http" href="http://fedoraproject.org/wiki/Features/ConsistentNetworkDeviceNaming">預覽</a>。此外請參閱：<a class="http" href="http://linux.dell.com/biosdevname/">Dell 的介紹</a>及內部員工的<a class="http" href="http://domsch.com/blog/?tag=biosdevname">網誌</a>。 <span class="anchor" id="line-25"></span><span class="anchor" id="line-26"></span><p class="line867">
<h2 id="A.2BiYFmL2IRYPOQhFOfgfOCCnaEVH1UDVRi.2Fx8-">3. 要是我想還原至舊的命名呢？</h2>
<span class="anchor" id="line-27"></span><span class="anchor" id="line-28"></span><p class="line874">以下是所需的步驟： <span class="anchor" id="line-29"></span><ul><li>在 grub 加入 net.ifnames=0 and biosdevname=0 作為內核參數 <span class="anchor" id="line-30"></span></li><li>在 /etc/sysconfig/network-scripts/ 內把你的網絡卡設定檔改名為 ifcfg-ethX <span class="anchor" id="line-31"></span></li><li>假若你擁有多個介面並希望控制每個裝置的名稱，不想由內核作主，你似乎有必要透過 /etc/udev/rules.d/60-net.rules 蓋過 /usr/lib/udev/rules.d/60-net.rules。 <span class="anchor" id="line-32"></span><span class="anchor" id="line-33"></span></li></ul><p class="line867">
<h2 id="A.2BT0ZiEVPqYPNO5FuDkEtPXFPKYktS1V8PfeiPL4otW5pqlDAC-">4. 但我只想令它運作及手動式編輯設定檔。</h2>
<span class="anchor" id="line-34"></span><span class="anchor" id="line-35"></span><p class="line862">很多安裝用不著 <strong>NetworkManager</strong> 工具的複雜性，而採用人手編輯的設定檔。以下是一個 <strong>非 NetworkManager</strong> 的 DHCP 介面設定範例：<span class="anchor" id="line-36"></span><span class="anchor" id="line-37"></span><span class="anchor" id="line-38"></span><span class="anchor" id="line-39"></span><span class="anchor" id="line-40"></span><span class="anchor" id="line-41"></span><span class="anchor" id="line-42"></span><span class="anchor" id="line-43"></span><span class="anchor" id="line-44"></span><span class="anchor" id="line-45"></span><span class="anchor" id="line-46"></span><span class="anchor" id="line-47"></span><span class="anchor" id="line-48"></span><span class="anchor" id="line-49"></span><span class="anchor" id="line-50"></span><span class="anchor" id="line-51"></span><span class="anchor" id="line-52"></span><span class="anchor" id="line-53"></span><span class="anchor" id="line-54"></span><span class="anchor" id="line-55"></span><pre><span class="anchor" id="line-1"></span>[root@example ~]# cat /etc/sysconfig/network-scripts/ifcfg-eth0
<span class="anchor" id="line-2"></span>DEVICE="eth0"
<span class="anchor" id="line-3"></span>BOOTPROTO=dhcp
<span class="anchor" id="line-4"></span>NM_CONTROLLED="no"
<span class="anchor" id="line-5"></span>PERSISTENT_DHCLIENT=1
<span class="anchor" id="line-6"></span>ONBOOT="yes"
<span class="anchor" id="line-7"></span>TYPE=Ethernet
<span class="anchor" id="line-8"></span>DEFROUTE=yes
<span class="anchor" id="line-9"></span>PEERDNS=yes
<span class="anchor" id="line-10"></span>PEERROUTES=yes
<span class="anchor" id="line-11"></span>IPV4_FAILURE_FATAL=yes
<span class="anchor" id="line-12"></span>IPV6INIT=yes
<span class="anchor" id="line-13"></span>IPV6_AUTOCONF=yes
<span class="anchor" id="line-14"></span>IPV6_DEFROUTE=yes
<span class="anchor" id="line-15"></span>IPV6_PEERDNS=yes
<span class="anchor" id="line-16"></span>IPV6_PEERROUTES=yes
<span class="anchor" id="line-17"></span>IPV6_FAILURE_FATAL=no
<span class="anchor" id="line-18"></span>NAME="eth0"
<span class="anchor" id="line-19"></span>[root@none ~]#</pre><span class="anchor" id="line-56"></span><span class="anchor" id="line-57"></span><p class="line862">以及一個「靜態分配」設定檔的範例：<span class="anchor" id="line-58"></span><span class="anchor" id="line-59"></span><span class="anchor" id="line-60"></span><span class="anchor" id="line-61"></span><span class="anchor" id="line-62"></span><span class="anchor" id="line-63"></span><span class="anchor" id="line-64"></span><span class="anchor" id="line-65"></span><span class="anchor" id="line-66"></span><span class="anchor" id="line-67"></span><span class="anchor" id="line-68"></span><span class="anchor" id="line-69"></span><span class="anchor" id="line-70"></span><pre><span class="anchor" id="line-1-1"></span>[username@hostname]$ cat /etc/sysconfig/network-scripts/ifcfg-eth0
<span class="anchor" id="line-2-1"></span>DEVICE="eth0"
<span class="anchor" id="line-3-1"></span>HWADDR="00:21:70:10:7E:CD"
<span class="anchor" id="line-4-1"></span>NM_CONTROLLED="no"
<span class="anchor" id="line-5-1"></span>ONBOOT="yes"
<span class="anchor" id="line-6-1"></span>BOOTPROTO=static
<span class="anchor" id="line-7-1"></span># BOOTPROTO=dhcp
<span class="anchor" id="line-8-1"></span>IPADDR=10.16.1.106
<span class="anchor" id="line-9-1"></span>NETMASK=255.255.255.0
<span class="anchor" id="line-10-1"></span>#
<span class="anchor" id="line-11-1"></span># GATEWAY 有時會放在：/etc/sysconfig/network
<span class="anchor" id="line-12-1"></span>GATEWAY=10.16.1.1</pre><span class="anchor" id="line-71"></span><span class="anchor" id="line-72"></span><p class="line862">此外，通用項目如主機名稱及 DNS 伺服器可選擇性地放置在：<span class="anchor" id="line-73"></span><span class="anchor" id="line-74"></span><span class="anchor" id="line-75"></span><span class="anchor" id="line-76"></span><span class="anchor" id="line-77"></span><span class="anchor" id="line-78"></span><span class="anchor" id="line-79"></span><pre><span class="anchor" id="line-1-2"></span>[username@hostname]$ cat /etc/sysconfig/network
<span class="anchor" id="line-2-2"></span>HOSTNAME=acme.example.com
<span class="anchor" id="line-3-2"></span>DNS1=10.16.1.112
<span class="anchor" id="line-4-2"></span>DNS2=8.8.8.8
<span class="anchor" id="line-5-2"></span>## DNS2=76.242.0.28
<span class="anchor" id="line-6-2"></span>SEARCH=example.com</pre><span class="anchor" id="line-80"></span><span class="anchor" id="line-81"></span><p class="line862">這些資訊是「選擇性」的，因為一台 DHCP 伺服器能派發這些數值。當一個良好部署的 DNS 環境存在時，<strong>initscripts</strong> 能夠從 PTR 等記錄找出主機名稱等資訊，但有些用戶需要以人手管理這些細節。要取得更多資訊，你可用以下方式列出整全的 initscripts 文檔：<span class="anchor" id="line-82"></span><pre><span class="anchor" id="line-1-3"></span>rpm -qd initscripts </pre><span class="anchor" id="line-83"></span><p class="line862">不論該環境是否安裝了 <strong>man</strong> 閱讀說明手冊的套件及所依賴的套件。 <span class="anchor" id="line-84"></span><span class="anchor" id="line-85"></span><p class="line867"><span class="anchor" id="line-86"></span><span class="anchor" id="line-87"></span><p class="line867"><span class="anchor" id="line-88"></span><span class="anchor" id="line-89"></span><p class="line867"><span class="anchor" id="line-90"></span><span class="anchor" id="line-91"></span><p class="line867"><span class="anchor" id="line-92"></span><span class="anchor" id="line-93"></span><p class="line867">
<h2 id="A.2BYhFZgk9VUFx1KA_IPv6.2B.2Fx8-">5. 我如何停用 IPv6？</h2>
<span class="anchor" id="line-94"></span><span class="anchor" id="line-95"></span><p class="line862">上游僱員 Daniel Walsh <a class="https" href="https://bugzilla.redhat.com/show_bug.cgi?id=641836">建議</a>不要停用 ipv6 模塊，因為這樣會導致 SELinux 及其它元件出現問題。你可改而在 /etc/sysctl.conf 加入： <span class="anchor" id="line-96"></span><span class="anchor" id="line-97"></span><span class="anchor" id="line-98"></span><span class="anchor" id="line-99"></span><pre><span class="anchor" id="line-1-4"></span>net.ipv6.conf.all.disable_ipv6 = 1
<span class="anchor" id="line-2-3"></span>net.ipv6.conf.default.disable_ipv6 = 1</pre><span class="anchor" id="line-100"></span><p class="line874">要在運作中的系統停用它： <span class="anchor" id="line-101"></span><span class="anchor" id="line-102"></span><span class="anchor" id="line-103"></span><span class="anchor" id="line-104"></span><pre><span class="anchor" id="line-1-5"></span>echo 1 &gt; /proc/sys/net/ipv6/conf/all/disable_ipv6
<span class="anchor" id="line-2-4"></span>echo 1 &gt; /proc/sys/net/ipv6/conf/default/disable_ipv6</pre><span class="anchor" id="line-105"></span><p class="line874">或 <span class="anchor" id="line-106"></span><span class="anchor" id="line-107"></span><span class="anchor" id="line-108"></span><span class="anchor" id="line-109"></span><pre><span class="anchor" id="line-1-6"></span>sysctl -w net.ipv6.conf.all.disable_ipv6=1
<span class="anchor" id="line-2-5"></span>sysctl -w net.ipv6.conf.default.disable_ipv6=1</pre><span class="anchor" id="line-110"></span><p class="line867"><strong>附加備註 #1</strong>：要是你在停用 IPv6 的系統上轉接 X 時遇到問題，請編輯 <strong>/etc/ssh/sshd_config</strong> 及作出以下一組改動： <span class="anchor" id="line-111"></span><span class="anchor" id="line-112"></span><p class="line874">(1) 更改這一行 <span class="anchor" id="line-113"></span><span class="anchor" id="line-114"></span><span class="anchor" id="line-115"></span><pre><span class="anchor" id="line-1-7"></span>#AddressFamily any</pre><span class="anchor" id="line-116"></span><p class="line874">為 <span class="anchor" id="line-117"></span><span class="anchor" id="line-118"></span><span class="anchor" id="line-119"></span><pre><span class="anchor" id="line-1-8"></span>AddressFamily inet</pre><span class="anchor" id="line-120"></span><p class="line874">（inet 指定 ipv4；inet6 指定 ipv6） <span class="anchor" id="line-121"></span><span class="anchor" id="line-122"></span><p class="line874">或者 <span class="anchor" id="line-123"></span><span class="anchor" id="line-124"></span><p class="line874">(2) 移除這行行首的井號（#） <span class="anchor" id="line-125"></span><span class="anchor" id="line-126"></span><span class="anchor" id="line-127"></span><pre><span class="anchor" id="line-1-9"></span>#ListenAddress 0.0.0.0</pre><span class="anchor" id="line-128"></span><p class="line874">然後重新啟動 ssh。 <span class="anchor" id="line-129"></span><span class="anchor" id="line-130"></span><p class="line867"><strong>附加備註 #2</strong>：要是你在停用 IPv6 的系統上啟動 postfix 時遇到問題，你可選擇 <span class="anchor" id="line-131"></span><span class="anchor" id="line-132"></span><p class="line874">(1) 編輯 /etc/postfix/main.cf 並備註掉 localhost 部份的設定及採用 ipv4 迴路。 <span class="anchor" id="line-133"></span><span class="anchor" id="line-134"></span><span class="anchor" id="line-135"></span><span class="anchor" id="line-136"></span><pre><span class="anchor" id="line-1-10"></span>#inet_interfaces = localhost
<span class="anchor" id="line-2-6"></span>inet_interfaces = 127.0.0.1</pre><span class="anchor" id="line-137"></span><span class="anchor" id="line-138"></span><p class="line874">或 <span class="anchor" id="line-139"></span><span class="anchor" id="line-140"></span><p class="line874">(2) 從 /etc/hosts 取掉 ipv6 的 localhost。 <span class="anchor" id="line-141"></span><span class="anchor" id="line-142"></span><p class="line867"><strong>附加備註 #3 </strong>：如要停用　RPCBIND ipv6（rpcbind、rpc.mountd、prc.statd），請在 /etc/netconfig 備註掉 udp6 及 tcp6 行： <span class="anchor" id="line-143"></span><span class="anchor" id="line-144"></span><p class="line867"><span class="anchor" id="line-145"></span><span class="anchor" id="line-146"></span><span class="anchor" id="line-147"></span><span class="anchor" id="line-148"></span><span class="anchor" id="line-149"></span><span class="anchor" id="line-150"></span><span class="anchor" id="line-151"></span><span class="anchor" id="line-152"></span><pre><span class="anchor" id="line-1-11"></span>udp        tpi_clts      v     inet     udp     -       -
<span class="anchor" id="line-2-7"></span>tcp        tpi_cots_ord  v     inet     tcp     -       -
<span class="anchor" id="line-3-3"></span>#udp6       tpi_clts      v     inet6    udp     -       -
<span class="anchor" id="line-4-3"></span>#tcp6       tpi_cots_ord  v     inet6    tcp     -       -
<span class="anchor" id="line-5-3"></span>rawip      tpi_raw       -     inet      -      -       -
<span class="anchor" id="line-6-3"></span>local      tpi_cots_ord  -     loopback  -      -       -
<span class="anchor" id="line-7-2"></span>unix       tpi_cots_ord  -     loopback  -      -       -</pre><span class="anchor" id="line-153"></span><span class="anchor" id="line-154"></span><p class="line867">
<h2 id="A.2BYhFT707lX55U6ojhTguPCQ_32_.2BT01RQ3JIZyz.2FHw-">6. 我可以從哪裡下載 32 位元版本？</h2>
<span class="anchor" id="line-155"></span><span class="anchor" id="line-156"></span><p class="line862">你可於 <a class="http" href="http://mirror.centos.org/altarch/7/isos/i386/">http://mirror.centos.org/altarch/7/isos/i386/</a> 下載 32 位元的 CentOS 7 發行版本。 <span class="anchor" id="line-157"></span><span class="anchor" id="line-158"></span><p class="line867">
<h2 id="A.2BT2BcDQ_ifconfig.2B.2Fw8-netstat_.2BUFpOhnUaYkuBc.2F8f-">7. 你對 ifconfig／netstat 做了甚手腳？</h2>
<span class="anchor" id="line-159"></span><span class="anchor" id="line-160"></span><p class="line874">ifconfig 及 netstat 工具程式在 CentOS 5 及 6 的應用手冊內被標示為降級已接近十年，而 Redhat 決定在 CentOS 7 不會預設安裝 net-tools 套件。其中一個轉換的原因就是 ifconfig 不會顯示界面卡所擁有的全部 IP 位置 —— 請改用 ip 指令。取而代之的工具是 ss 和 ip。假如你真的、真的很需要 ifconfig 和 netstat，你可執行 yum install net-tools。 <span class="anchor" id="line-161"></span><span class="anchor" id="line-162"></span><p class="line867"><small>Translation of revision 21</small> <span class="anchor" id="line-163"></span><span class="anchor" id="bottom"></span></div>
</div>
<hr>
2023-09-11 07:23
</body>
</html>
